> ## Documentation Index
> Fetch the complete documentation index at: https://platform.take.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Order

> Update order status



## OpenAPI

````yaml put /orders
openapi: 3.0.1
info:
  title: Take App Platform
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://take.app/api/platform/
security:
  - ApiKeyAuth: []
paths:
  /orders:
    put:
      description: Update order status
      parameters:
        - name: orderId
          in: query
          required: true
          schema:
            type: string
          description: Order ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrderEditInput'
      responses:
        '200':
          description: Order updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Order'
components:
  schemas:
    OrderEditInput:
      type: object
      description: Input for updating order status
      properties:
        status:
          $ref: '#/components/schemas/OrderStatus'
        paymentStatus:
          $ref: '#/components/schemas/PaymentStatus'
        fulfillmentStatus:
          $ref: '#/components/schemas/FulfillmentStatus'
    Order:
      type: object
      properties:
        id:
          type: string
        status:
          $ref: '#/components/schemas/OrderStatus'
        paymentStatus:
          $ref: '#/components/schemas/PaymentStatus'
        fulfillmentStatus:
          $ref: '#/components/schemas/FulfillmentStatus'
        customer:
          $ref: '#/components/schemas/Customer'
        items:
          type: array
          items:
            $ref: '#/components/schemas/OrderItem'
        totalAmount:
          type: number
          description: Total amount in cents
        createdAt:
          type: string
          format: date-time
    OrderStatus:
      type: string
      enum:
        - ORDER_STATUS_PENDING
        - ORDER_STATUS_CONFIRMED
        - ORDER_STATUS_FULFILLED
        - ORDER_STATUS_CANCELLED
      description: >-
        Note: ORDER_STATUS_FULFILLED is legacy and should be labeled as
        'Completed' in UI
    PaymentStatus:
      type: string
      enum:
        - PAYMENT_STATUS_PENDING
        - PAYMENT_STATUS_CONFIRMING
        - PAYMENT_STATUS_PARTIAL
        - PAYMENT_STATUS_PAID
        - PAYMENT_STATUS_REFUNDED
    FulfillmentStatus:
      type: string
      enum:
        - UNFULFILLED
        - READY
        - OUT_FOR_DELIVERY
        - FULFILLED
    Customer:
      type: object
      required:
        - name
        - phone
      properties:
        name:
          type: string
          description: Customer's name
        phone:
          type: string
          description: Customer's phone number
        email:
          type: string
          format: email
          description: Customer's email address
    OrderItem:
      type: object
      required:
        - productId
      properties:
        productId:
          type: string
          description: ID of the product
        variantId:
          type: string
          description: >-
            ID of the product variant (optional). Must belong to the specified
            product.
        quantity:
          type: integer
          description: Quantity of the product
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: api_key
      in: query

````